curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345"
payload = {
"metadata": {
"source": "SALESFORCE"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
}
})
}
);
console.log(response.status);
{
"message": "Brand deleted successfully",
"external_id": "SF-BRAND-12345",
"cor_id": 3001
}
{
"error": "BrandNotFoundError",
"message": "Brand with external ID 'SF-BRAND-12345' not found",
"code": "ZC004"
}
Brands
Delete Brand
Deletes a brand from your COR instance using its external ID
DELETE
/
v2
/
integrations
/
brands
/
{id}
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345"
payload = {
"metadata": {
"source": "SALESFORCE"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
}
})
}
);
console.log(response.status);
{
"message": "Brand deleted successfully",
"external_id": "SF-BRAND-12345",
"cor_id": 3001
}
{
"error": "BrandNotFoundError",
"message": "Brand with external ID 'SF-BRAND-12345' not found",
"code": "ZC004"
}
Deletes a brand from your COR instance using its external ID. This removes both the brand and the integration mapping.
Path Parameters
string
required
External brand ID that was used when creating the brand
Request Body Requirements
Known Errors
BrandNotFoundError— No brand found with the specified external ID for this sourceValidationError— Missing requiredmetadata.sourcefieldDeletionError— Brand cannot be deleted due to existing project associations
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "SALESFORCE"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345"
payload = {
"metadata": {
"source": "SALESFORCE"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.status_code)
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/brands/SF-BRAND-12345',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'SALESFORCE'
}
})
}
);
console.log(response.status);
{
"message": "Brand deleted successfully",
"external_id": "SF-BRAND-12345",
"cor_id": 3001
}
{
"error": "BrandNotFoundError",
"message": "Brand with external ID 'SF-BRAND-12345' not found",
"code": "ZC004"
}
Was this page helpful?
⌘I

